export declare class IncrementalExtent {
    private _min;
    private _max;
    private _dirty;
    push(value: number): void;
    evict(value: number): void;
    recalculate<T>(values: Iterable<T>, accessor?: (v: T) => number): void;
    clear(): void;
    get extent(): [number, number];
    get min(): number;
    get max(): number;
    get dirty(): boolean;
}
